Description

Smart-variables contain a lot of configuration we do not want to loose.

When a puppet class is deleted, the associated smart-variable are indeed not suppressed.

But the old puppetclass' id is still stored in the database.

NULL should be stored instead inside puppetclass_id.

Additionally, we should keep track of the last assigned puppetclass' name (when unassigning), as this would help identifying them.

History

#1 - 06/28/2012 01:20 PM - Ohad Levy

cant we use auditing for that (instead of storing the class name?)

#2 - 06/29/2012 04:26 AM - Olivier Favre

- Status changed from New to Assigned

- Assignee set to Olivier Favre

- Estimated time changed from 1:00 h to 2:00 h

- Difficulty changed from easy to medium

#3 - 06/29/2012 04:36 AM - Olivier Favre

Ohad Levy wrote:

cant we use auditing for that (instead of storing the class name?)

Does that imply?:

1. auditing puppetclass-lookup_keys association

2. making a search in the audits if lookup_key.puppetclass == nil, extracting the name from the audits

We can make a second search in the audits to see the last destroy action associated with the old puppetclass id, but that assumes ids are never

reused.

If this assumption does not hold, we would need to store the puppetclass name at the time of the dissociation, inside the audit record.

#4 - 12/28/2014 11:47 AM - Tomer Brisker

- Status changed from Assigned to New
